%define module tokyotyrant
Name: ruby-%module
Version: 1.3
Release: alt1
Summary: Ruby binding to the Tokyo Tyrant
License: %lgpl2plus
Group: Development/Ruby
URL: http://%module.sourceforge.net
Source: %module-ruby-%version.tar
Provides: ruby-TokyoTyrant = %version-%release
BuildArch: noarch
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses rpm-build-ruby
BuildRequires: ruby-module-etc ruby-tool-rdoc

%description
Ruby binding to the Tokyo Tyrant.


%package rdoc
Summary: rdoc documentation for Ruby binding to the Tokyo Tyrant
Group: Documentation
Requires: %name = %version-%release
Requires: ruby-tool-ri

%description rdoc
rdoc documentation for Ruby binding to the Tokyo Tyrant.


%package doc
Summary: Documentation for Ruby binding to the Tokyo Tyrant
Group: Documentation
Provides: %name-doc-html = %version-%release

%description doc
Documentation for Ruby binding to the Tokyo Tyrant.


%prep
%setup -n %module-ruby-%version


%install
install -d -m 0755 %buildroot{%ruby_sitelibdir,%_bindir,%_docdir/%name-%version/{html,example}}
DESTDIR=%buildroot %ruby_vendor install.rb
install -m 0644 example/* %buildroot%_docdir/%name-%version/example/
cp -r doc/* %buildroot%_docdir/%name-%version/html/
%rdoc %module.rb


%files
%_bindir/*
%ruby_sitelibdir/*


%files rdoc
%ruby_ri_sitedir/TokyoTyrant


%files doc
%_docdir/%name-%version
%exclude %_docdir/%name-%version/html/created.rid


%changelog
* Mon Feb 16 2009 Led <led@altlinux.ru> 1.3-alt1
- 1.3

* Sat Dec 27 2008 Led <led@altlinux.ru> 1.2-alt1
- 1.2

* Sun Dec 14 2008 Led <led@altlinux.ru> 1.1-alt1
- 1.1

* Thu Oct 30 2008 Led <led@altlinux.ru> 1.0-alt1
- initial build
